<div class="headerAdmin">
  <h1>Almost Mobilier</h1>
  <h2>Coté Admin</h2>
</div>
<div class="titre">Articles en vente</div>
<div class="boutonajout"><a href="back/#ajout">Ajouter un article</a></div>
<div class="biblio">
  <div class="article" *ngFor="let row of produit">
    N° {{ row.id_produit }}
    <div>Nom: {{ row.nom_produit }}</div>
    <div>Catégorie: {{ row.categorie_produit }}</div>
    <div>Description: {{ row.description }}</div>
    <div>
      <img src="../../assets/img/{{ row.photo_produit }}" width="100px" />
    </div>
    <div>Prix: {{ row.prix_produit }} €</div>
    <button mat-raised-button type="button" (click)="delete(row.id_produit)">
      Effacer
    </button>
    <button mat-raised-button type="button" (click)="openDialog(row)">
      Modifier
    </button>
  </div>
</div>
<hr />
<div class="titre" id="ajout">Ajouter un produit</div>
<div class="ajouter">
  <form  class="form" [formGroup]="usersForm">
    <div class="row">
      <div class="field">
        <mat-form-field appearance="fill">
          <mat-label>Nom du produit</mat-label>
          <input matInput formControlName="nom_produit" />
        </mat-form-field>
      </div>
    </div>
    <div class="row">
      <div class="field">
        <mat-form-field appearance="fill">
          <mat-label>Catégorie</mat-label>
          <mat-select formControlName="categorie_produit" required>
            <mat-option value="plante">Plante</mat-option>
            <mat-option value="tableau">Tableau</mat-option>
            <mat-option value="luminaire">Luminaire</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </div>
    <div class="row">
      <div class="field">
        <mat-form-field appearance="fill">
          <mat-label>Description</mat-label>
          <textarea matInput formControlName="description"></textarea>
        </mat-form-field>
      </div>
    </div>
    <div class="row">
      <div class="field">
        <mat-form-field appearance="fill">
          <mat-label>photo</mat-label>
          <input matInput formControlName="photo_produit" />
        </mat-form-field>
      </div>
    </div>
    <div class="row">
      <div class="field">
        <mat-form-field appearance="fill">
          <mat-label>Prix</mat-label>
          <input matInput formControlName="prix_produit" />
        </mat-form-field>
      </div>
    </div>
    <div class="row">
      <div class="field">
        <button mat-raised-button type="button" (click)="addOne()">
          ajouter
        </button>
      </div>
    </div>
  </form>
</div>
